Skip to main content
cURL
curl "https://app.tatango.com/api/v2/lists/<ID>/custom_fields" -X GET \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -u emailaddress@mydomain.com:my_api_key \
  -H "Host: example.org" \
  -H "Cookie: "
{
  "status": "OK",
  "custom_fields": [
    {
      "key": "some_custom_field_name",
      "pattern": "[A-Za-z0-9]",
      "max_length": 9999,
      "default_value": "The Default Value",
      "label": "The Label",
      "content_type": "text",
      "should_validate_regex_via_api": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://platform.tatango.com/llms.txt

Use this file to discover all available pages before exploring further.

Request URL

GET https://app.tatango.com/api/v2/lists/<ID>/custom_fields

Authorizations

Authorization
string
header
required

Tatango authenticates API requests by validating an API key passed via HTTP Basic Authentication. Use your login email as the username and your API key as the password.

Path Parameters

ID
integer
required

ID of the list

Response

200 - application/json

Successful response

status
string
required
Example:

"OK"

custom_fields
object[]
required